#include <bits/stdc++.h>

std::pair<int, long long> getNumberOfDigits(long long x) {
    long long sumDigits = 0;
    int numberOfDigits = 1;
    long long tenPower = 1;
    long long sum = 9;
    for (int digitsCount = 1; digitsCount < 18; digitsCount++) {
        if (x > sumDigits) {
            numberOfDigits = digitsCount;
            sum = sumDigits;
        }
        sumDigits += 9 * tenPower * digitsCount;
        tenPower *= 10;
    }
    return std::make_pair(numberOfDigits, sum);
}

int main() {
    freopen("encryption.in", "r", stdin);
    freopen("encryption.out", "w", stdout);
    long long l, r;
    std::cin >> l >> r;
    assert(r <= 1000);
    std::pair<int, long long> lRes = getNumberOfDigits(l);
    std::pair<int, long long> rRes = getNumberOfDigits(r);
    int lDigits = lRes.first;
    long long lNumber = (l - lRes.second - 1) / lDigits;
    if ((l - lRes.second - 1) % lDigits != 0) {
        lNumber++;
    }
    assert((l - lRes.second) % lDigits == 1 || lDigits == 1);
    int rDigits = rRes.first;
    long long rNumber = (r - rRes.second - 1) / rDigits;
    if ((r - rRes.second - 1) % rDigits != rDigits - 1) {
        rNumber--;
    }
    assert((r - rRes.second) % rDigits == 0);
    if (lDigits == rDigits) {
        std::cout << std::max(0LL, rNumber - lNumber + 1) << '\n';
        return 0;
    }
    std::vector<long long> tenPower(20);
    tenPower[0] = 1;
    for (int i = 1; i < 20; i++) {
        tenPower[i] = tenPower[i - 1] * 10;
    }
    long long answer = 0;
    for (int digits = lDigits + 1; digits < rDigits; digits++) {
        answer += tenPower[digits - 1] * 9;
    }
    answer += rNumber + 1;
    answer += 9 * tenPower[lDigits - 1] - lNumber;
    std::cout << answer << '\n';
    return 0;
}                             
